commit:     5950836fb03e55e24a425c08b74689ad924ffc34
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 24 20:39:46 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 20:43:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5950836f

gnome-extra/zeitgeist: version bump 0.9.16 -> 1.0, bug #620190

Inherit xdg.eclass, bug #621238. Drop icu support as dee was removed from tree.

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 gnome-extra/zeitgeist/Manifest                     |  1 +
 .../files/zeitgeist-1.0-python-detection.patch     | 38 +++++++++
 gnome-extra/zeitgeist/zeitgeist-1.0.ebuild         | 94 ++++++++++++++++++++++
 3 files changed, 133 insertions(+)

diff --git a/gnome-extra/zeitgeist/Manifest b/gnome-extra/zeitgeist/Manifest
index 181d8018c73..230bea28323 100644
--- a/gnome-extra/zeitgeist/Manifest
+++ b/gnome-extra/zeitgeist/Manifest
@@ -1 +1,2 @@
 DIST zeitgeist-0.9.16.tar.xz 807092 SHA256 
6ed3e60d0cd82ea58ee134c19beccafac10eb0f71977f3848755dacbf0927d3a SHA512 
eb28215c937b71c8cec12f55236db4281ad529b2854ecb3c093477d45cd8348c6ea764e2cf00a99d41645b27b685a5325f0631b318409735b578a5871087b0f1
 WHIRLPOOL 
7ad3f528ffa938d14e9fbfe3f4e94ac5ad06bc48b13e261a0e8f43b88a9750a41d5e9212da7cc492f7c0197a4b12391d58e3f51a2a18a85b2663414332434c9b
+DIST zeitgeist-1.0.tar.xz 848740 SHA256 
5ff508508f7a7b46acc9fbf1cf73fecb1aec214e18d9d22325aae8c2c2e8ddc8 SHA512 
e8fa4db7202c5dceb6cb960775651624bdcd7fc2005019ff6491d7c139ccf036e865977adbd98ae3c9b97b22e5cf28534b64f01fde58b7bc89c0f0f8d13383e8
 WHIRLPOOL 
5c1cd4bb37221243726c7872d3a419cfe7523c053d6ac4dcced95c4ed1731110bea822b612c9fe9017bfeb35f37326dc9b810a2560b94324842d51a671ced462

diff --git a/gnome-extra/zeitgeist/files/zeitgeist-1.0-python-detection.patch 
b/gnome-extra/zeitgeist/files/zeitgeist-1.0-python-detection.patch
new file mode 100644
index 00000000000..c82db10ec3c
--- /dev/null
+++ b/gnome-extra/zeitgeist/files/zeitgeist-1.0-python-detection.patch
@@ -0,0 +1,38 @@
+From 662d359689834ea3d1fdb75050b4c97d2ad720cf Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <[email protected]>
+Date: Sun, 4 Jan 2015 00:09:14 +0100
+Subject: [PATCH] Make python module detection match detected python
+
+Some distribution might provided multiple python and configure can know
+about which exactly though AM_PATH_PYTHON.
+---
+ configure.ac | 11 ++++++-----
+ 1 file changed, 6 insertions(+), 5 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 9a0330a6..703fb957 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -255,13 +255,14 @@ if test "x$HAVE_RAPPER" = "xno"; then
+ fi
+ 
+ # check for python-rdflib
++AM_PATH_PYTHON([2.7])
++
+ AC_MSG_CHECKING([for python-rdflib])
+-echo "import rdflib" | $PYTHON - 2>/dev/null
+-if test $? -ne 0 ; then
+-  AC_MSG_FAILURE([failed.  Please install the python-rdflib package.])
+-else
++AS_IF([$PYTHON -c "import rdflib" 2>/dev/null], [
+   AC_MSG_RESULT([yes])
+-fi
++], [
++  AC_MSG_FAILURE([failed.  Please install the python-rdflib package.])
++])
+ 
+ #################################################
+ # Summary
+-- 
+2.13.2
+

diff --git a/gnome-extra/zeitgeist/zeitgeist-1.0.ebuild 
b/gnome-extra/zeitgeist/zeitgeist-1.0.ebuild
new file mode 100644
index 00000000000..7cc47aea59c
--- /dev/null
+++ b/gnome-extra/zeitgeist/zeitgeist-1.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+VALA_MIN_API_VERSION=0.22
+
+inherit bash-completion-r1 python-r1 vala versionator xdg
+
+DIR_PV=$(get_version_component_range 1-2)
+
+DESCRIPTION="Service to log activities and present to other apps"
+HOMEPAGE="https://launchpad.net/zeitgeist/";
+SRC_URI="https://launchpad.net/zeitgeist/${DIR_PV}/${PV}/+download/${P}.tar.xz
+       https://dev.gentoo.org/~eva/distfiles/${PN}/${P}.tar.xz";
+
+LICENSE="LGPL-2+ LGPL-3+ GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+datahub downloads-monitor +fts introspection nls sql-debug telepathy"
+
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       downloads-monitor? ( datahub )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/json-glib
+       dev-python/dbus-python[${PYTHON_USEDEP}]
+       dev-python/rdflib[${PYTHON_USEDEP}]
+       media-libs/raptor:2
+       >=dev-libs/glib-2.35.4:2
+       >=dev-db/sqlite-3.7.11:3
+       sys-apps/dbus
+       datahub? ( x11-libs/gtk+:3 )
+       fts? ( dev-libs/xapian:0=[inmemory] )
+       introspection? ( dev-libs/gobject-introspection )
+       telepathy? ( net-libs/telepathy-glib )
+"
+DEPEND="${RDEPEND}
+       $(vala_depend)
+       >=sys-devel/gettext-0.19
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       # Fix direct invocation of python in configure
+       "${FILESDIR}"/${PN}-1.0-python-detection.patch
+)
+
+src_prepare() {
+       # pure-python module is better managed manually, see src_install
+       sed -e 's:python::g' \
+               -i Makefile.am || die
+
+       vala_src_prepare
+       xdg_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               --docdir="${EPREFIX}/usr/share/doc/${PF}"
+               --without-dee-icu
+               $(use_enable sql-debug explain-queries)
+               $(use_enable datahub)
+               $(use_enable downloads-monitor)
+               $(use_enable telepathy)
+               $(use_enable introspection)
+       )
+
+       use nls || myeconfargs+=( --disable-nls )
+       use fts && myeconfargs+=( --enable-fts )
+
+       python_setup
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       emake check TESTS_ENVIRONMENT="dbus-run-session"
+}
+
+src_install() {
+       default
+
+       dobashcomp data/completions/zeitgeist-daemon
+
+       cd python || die
+       python_moduleinto ${PN}
+       python_foreach_impl python_domodule *py
+
+       # Redundant NEWS/AUTHOR installation
+       rm -r "${D}"/usr/share/zeitgeist/doc/ || die
+}

Reply via email to